## bleachbit 4.6.1~beta20231207

=== debian/changelog ===
bleachbit (4.6.1~beta20231207-0.1~mx23+1) mx; urgency=medium

  * Build new beta pre-release.
  * Drop fix-root.patch and fix-session-detection.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Dec 2023 09:22:24 -0800

bleachbit (4.6.0-0.3~mx23+1) mx; urgency=medium

  * Add "mx-pkexec" alternative dependency for MX 21 and 19.
  * Add "fix-root.patch".

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Nov 2023 08:58:38 -0800

bleachbit (4.6.0-0.2~mx23+1) mx; urgency=medium

  * Import new release.
  * Cherry-pick patch from upstream to fix session detection.
  * Add python3-psutil to dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Nov 2023 12:42:57 -0800
