=== debian/control ===
Source: bleachbit
Section: admin
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13), desktop-file-utils, dh-python
Build-Depends-Indep: gettext, python3-all, python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/packages/bleachbit.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/bleachbit
Homepage: https://www.bleachbit.org/

Package: bleachbit
Architecture: all
Depends: gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         libgtk-3-0,
         pkexec | mx-pkexec,
         policykit-1,
         python3-chardet,
         python3-gi,
         python3-psutil,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Description: delete unnecessary files from the system
 BleachBit deletes unnecessary files to free valuable disk space, maintain
 privacy, and remove junk. It removes cache, Internet history, temporary files,
 cookies, and broken shortcuts.
 .
 It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
 GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
 Second Life Viewer, VIM, XChat, and more.
 .
 Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
 previously deleted files for privacy and to improve compression of images),
 vacuums Firefox databases (to improve performance without deleting data), and
 securely shreds arbitrary files.
