=== debian/changelog ===
bleachbit (4.6.2-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * d/control: fix syntax error in Maintainer
  * d/rules: remove Python2 vs 3 hybridation

  [ Fabio Fantoni ]
  * improve d/gbp.conf
  * Update standards version to 4.7.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 13 Apr 2025 13:01:05 +0200

bleachbit (4.6.2-1) unstable; urgency=medium

  * New upstream version 4.6.2
  * d/salsa-ci.yml: add licenserecon
  * add d/lrc.config for exclude possible false-positive with licenserecon
  * d/patches: remove 2 patches applied upstream and refresh other
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 09 Nov 2024 10:44:05 +0100

bleachbit (4.6.0-4) unstable; urgency=medium

  * Update standards version to 4.7.0, no changes needed
  * Add missed entries on d/copyright (Closes: #1077071)
  * Add 2 upstream fixes for invalid escape sequence SintaxWarning
    from python 3.12 (Closes: #1079366)
  * d/rules:
    - remove executable from app-menu.ui
    - remove Windows-specific modules

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Thu, 29 Aug 2024 11:07:00 +0000
