=== debian/tests/control ===
Tests: smoketest
Depends:
 bleachbit,
Restrictions: allow-stderr
