=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://sf.net/bleachbit/bleachbit-([0-9.]+)\.tar.gz
