=== debian/changelog ===
bleachbit (5.0.2-1.0antix1) unstable; urgency=medium

  * Remove dependency on pkec and policykit-1
  * As root use sudo instead of pkexec 

 -- anticapitalista <antix@operamail.com>  Mon, 05 Jan 2026 13:47:58 +0200

bleachbit (5.0.2-1) unstable; urgency=medium

  * New upstream version 5.0.2
  * d/salsa-ci.yml: licenserecon now integrated in the default pipeline
  * Refresh d/patches
  * d/install: add bleachbit-indicator.svg
  * d/control: add python3-psutil in deps and gir1.2-ayatanaappindicator3-0.1 in recommends
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 16 Dec 2025 17:02:51 +0000
