=== debian/control ===
--- 
+++ 
@@ -22,12 +22,13 @@
 Depends:
  gir1.2-gtk-3.0,
  gir1.2-notify-0.7,
- pkexec,
  python3-chardet,
  python3-gi,
+ python3-psutil,
  python3-requests,
  ${misc:Depends},
  ${python3:Depends},
+Recommends: gir1.2-ayatanaappindicator3-0.1
 Description: delete unnecessary files from the system
  BleachBit deletes unnecessary files to free valuable disk space, maintain
  privacy, and remove junk. It removes cache, Internet history, temporary files,
