=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. $(shell grep -L os=.linux. cleaners/*.xml) | xargs ls)))
 	# Automatically generate .desktop file to invoke BleachBit as superuser
 	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
-		s/TryExec=bleachbit/TryExec=pkexec/; \
-		s/Exec=bleachbit/Exec=pkexec bleachbit/" \
+		s/TryExec=bleachbit/TryExec=sudo/; \
+		s/Exec=bleachbit/Exec=sudo bleachbit/" \
 		org.bleachbit.BleachBit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop
 
 execute_after_dh_fixperms:
